#include <amxmodx>
#include <ttt>

new g_iRules[33];

public plugin_init()
{
	register_plugin("[TTT] Rules", TTT_VERSION, TTT_AUTHOR);
	register_clcmd("say /rules", "ttt_rules_show");
	register_clcmd("say_team /rules", "ttt_rules_show");
}

public client_putinserver(id)
{
	static out[2];
	get_user_info(id, "_ttt_rules", out, charsmax(out));
	g_iRules[id] = str_to_num(out);

	if(!g_iRules[id])
		set_task(10.0, "ttt_rules_show", id);
}

public ttt_rules_show(id)
{
	new menu = menu_create("\rRules", "ttt_rules_handler");

	//menu_additem(menu, "Web", "", 0); // case 0
	//menu_additem(menu, "Ingame", "", 0); // case 1
	menu_additem(menu, "Main", "", 0); // case 0
	menu_additem(menu, "Other", "", 0); // case 1
	menu_addblank(menu, 0);
	menu_addblank(menu, 0);

	if(g_iRules[id])
		menu_additem(menu, "RULES [HIDE]", "", 0); // case 2
	else menu_additem(menu, "RULES [SHOW]", "", 0); // case 2

	menu_setprop(menu, MPROP_EXIT, MEXIT_ALL);
	menu_setprop(menu, MPROP_NOCOLORS, 1);

	menu_display(id, menu, 0);

	return PLUGIN_HANDLED;
}

public ttt_rules_handler(id, menu, item)
{
	if(item == MENU_EXIT)
	{
		menu_destroy(menu);
		return PLUGIN_HANDLED;
	}

	static command[6], name[64], access, callback;
	menu_item_getinfo(menu, item, access, command, charsmax(command), name, charsmax(name), callback);
	menu_destroy(menu);

	switch(item)
	{
		//case 0: show_motd(id, "http://macneil1992.site.nfoservers.com/server/agtttrules.html", "Allied Gamers TTT Rules");
		case 0:	client_cmd(id, "rules_main");
		case 1: client_cmd(id, "rules_other");
		case 2:
		{
			g_iRules[id] = !g_iRules[id];
			client_cmd(id, "setinfo _ttt_rules %d", g_iRules[id]);
			ttt_rules_show(id);
		}
	}

	return PLUGIN_HANDLED;
}